<?php

namespace App\Models\Business;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use App\Models\Business\Business;


class BusinessDomain extends Model
{
    protected $table = 'business_domains';

    protected $fillable = [
        'business_id',
        'name', 
        'status', 
        
      
    ];
    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function business()
    {
        return $this->belongsTo(Business::class);
    }
}
