<?php

namespace App\Models\Contractors;

use Illuminate\Database\Eloquent\Model;

use App\Models\Contractors\Customer;
use App\Models\Contractors\Contractor;

class Review extends Model
{
    protected $table = 'user_review';
    protected $fillable = [
        'user_id',
        'contractor_id',
        'rating',
        'review'
    ];

    public function user() {
        
        return $this->belongsTo(Customer::class, 'user_id');
    }

    public function contractor() {
        
        return $this->belongsTo(Contractor::class, 'contractor_id');
    }
}
