<?php

namespace App\Models\Products;

use Illuminate\Database\Eloquent\Model;

class AmazonCategory extends Model
{
    protected $fillable = [    
        'category_id', 
        'amazon_category_id',
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    protected $hidden = [
        'created_at', 'updated_at'
    ];

}
