<?php

namespace App\Models\Providers;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class AppointmentSession extends Model
{
    protected $table = 'appointment_session';

    protected $fillable = [
        'appointment_id ', 
        'flag'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];
    
}


