<?php

namespace App\Models\Providers;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Oauth extends Model
{
    use HasFactory, Notifiable;

    protected $table = 'oauth_users';
    
    public $timestamps = false;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'user_id', 
        'role_fk', 
        'username', 
        'password', 
        'first_name', 
        'last_name',
         'email', 
         'email_verified', 
         'scope'
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'password',
    ];

}
