<?php

namespace App\Models\Services;

use Illuminate\Database\Eloquent\Model;
use App\Models\Services\Service;

class ServiceCategory extends Model
{
    protected $table = 'service-category';
    protected $primaryKey = 'id';
    protected $fillable = [
        'service_id',
        'sub_category_name'
    ];

    /**
     * Get the service.
     */
    public function service() {
        
        return $this->belongsTo(Service::class, 'service_id', 'id');
    }
}
