<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Amazon api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Amazon";
    $router->get('amazon', ['as' => 'amazon', 'uses' => $path . '\AmazonController@index']);
});

//**** Subcodevs v3 api ******/
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Amazon";
    $router->get('amazon', ['as' => 'amazon', 'uses' => $path . '\AmazonController@index']);
});

//**** Subcodevs v4 api ******/
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Amazon";
    $router->get('amazon', ['as' => 'amazon', 'uses' => $path . '\AmazonController@index']);
});