<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// Customers API
$router->group(['prefix' => 'api/v2/'], function () use ($router) {
    
    $path = "AppointmentManagement";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        $router->get('appointments-upcoming', ['as' => 'appointments-upcoming', 'uses' => $path.'\AppointmentManagementController@upcomingAppointments']);

         $router->delete('upcoming-appointment/delete/{id}', ['as' => 'appointment-management', 'uses' => $path . '\AppointmentManagementController@deleteUpcomingAppointment']);

        $router->get('appointments-completed', ['as' => 'appointments-completed', 'uses' => $path.'\AppointmentManagementController@completedAppointments']);

        $router->get('appointments-cancelled', ['as' => 'appointments-cancelled', 'uses' => $path.'\AppointmentManagementController@cancelledAppointments']);


        $router->get('appointment-cancelled-show/{id}', ['as' => 'appointment-cancelled-show', 'uses' => $path . '\AppointmentManagementController@cancelledAppointmentsShow']);


        $router->get('latest-appointment-noshow', ['as' => 'appointment-noshow', 'uses' => $path . '\AppointmentManagementController@latestNoShow']);
        $router->get('appointments-noshow', ['as' => 'appointments-noshow', 'uses' => $path . '\AppointmentManagementController@appointmentsNoShow']);


        $router->put('provider-payment-paid/{id}', ['as' => 'appointments-payment-paid', 'uses' => $path . '\AppointmentManagementController@providerPaymentPaid']);


    });
});

//**** Subcodevs v3 api ******/
$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\AppointmentManagement";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        $router->get('appointments-upcoming', ['as' => 'appointments-upcoming', 'uses' => $path.'\AppointmentManagementController@upcomingAppointments']);

         $router->delete('upcoming-appointment/delete/{id}', ['as' => 'appointment-management', 'uses' => $path . '\AppointmentManagementController@deleteUpcomingAppointment']);

        $router->get('appointments-completed', ['as' => 'appointments-completed', 'uses' => $path.'\AppointmentManagementController@completedAppointments']);

        $router->get('appointments-cancelled', ['as' => 'appointments-cancelled', 'uses' => $path.'\AppointmentManagementController@cancelledAppointments']);


        $router->get('appointment-cancelled-show/{id}', ['as' => 'appointment-cancelled-show', 'uses' => $path . '\AppointmentManagementController@cancelledAppointmentsShow']);


        $router->get('latest-appointment-noshow', ['as' => 'appointment-noshow', 'uses' => $path . '\AppointmentManagementController@latestNoShow']);
        $router->get('appointments-noshow', ['as' => 'appointments-noshow', 'uses' => $path . '\AppointmentManagementController@appointmentsNoShow']);


        $router->put('provider-payment-paid/{id}', ['as' => 'appointments-payment-paid', 'uses' => $path . '\AppointmentManagementController@providerPaymentPaid']);


    });
});
//**** Subcodevs v4 api ******/
$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\AppointmentManagement";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        $router->get('appointments-upcoming', ['as' => 'appointments-upcoming', 'uses' => $path.'\AppointmentManagementController@upcomingAppointments']);

         $router->delete('upcoming-appointment/delete/{id}', ['as' => 'appointment-management', 'uses' => $path . '\AppointmentManagementController@deleteUpcomingAppointment']);

        $router->get('appointments-completed', ['as' => 'appointments-completed', 'uses' => $path.'\AppointmentManagementController@completedAppointments']);

        $router->get('appointments-cancelled', ['as' => 'appointments-cancelled', 'uses' => $path.'\AppointmentManagementController@cancelledAppointments']);


        $router->get('appointment-cancelled-show/{id}', ['as' => 'appointment-cancelled-show', 'uses' => $path . '\AppointmentManagementController@cancelledAppointmentsShow']);


        $router->get('latest-appointment-noshow', ['as' => 'appointment-noshow', 'uses' => $path . '\AppointmentManagementController@latestNoShow']);
        $router->get('appointments-noshow', ['as' => 'appointments-noshow', 'uses' => $path . '\AppointmentManagementController@appointmentsNoShow']);


        $router->put('provider-payment-paid/{id}', ['as' => 'appointments-payment-paid', 'uses' => $path . '\AppointmentManagementController@providerPaymentPaid']);


    });
});