<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\ProviderLicenseUpdateRequest";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('provider-license-update-request', ['as' => 'provider-license-update-request', 'uses' => $path.'\ProviderLicenseUpdateRequestController@index']);

       $router->put('provider-license-update-request/approved/{id}', ['as' => 'provider-license-update-request', 'uses' => $path . '\ProviderLicenseUpdateRequestController@approvedProviderLicenseUpdateRequest']);

    });
});

//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\ProviderLicenseUpdateRequest";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('provider-license-update-request', ['as' => 'provider-license-update-request', 'uses' => $path.'\ProviderLicenseUpdateRequestController@index']);

       $router->put('provider-license-update-request/approved/{id}', ['as' => 'provider-license-update-request', 'uses' => $path . '\ProviderLicenseUpdateRequestController@approvedProviderLicenseUpdateRequest']);

    });
});
