<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
// Report api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Reports";
    $router->get('report_problems', ['as' => 'reports', 'uses' => $path . '\ReportController@index']);
    $router->get('report_problems/search', ['as' => 'reports', 'uses' => $path . '\ReportController@index']);
    $router->post('report_problems', ['as' => 'reports', 'uses' => $path . '\ReportController@store']);
    $router->put('report_problems/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@update']);
    $router->delete('report_problems/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@delete']);
    $router->get('report_problem/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@show']);
    $router->get('report_problems/count', ['as' => 'reports', 'uses' => $path . '\ReportController@count']);
});


//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Reports";
    $router->get('report_problems', ['as' => 'reports', 'uses' => $path . '\ReportController@index']);
    $router->get('report_problems/search', ['as' => 'reports', 'uses' => $path . '\ReportController@index']);
    $router->post('report_problems', ['as' => 'reports', 'uses' => $path . '\ReportController@store']);
    $router->put('report_problems/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@update']);
    $router->delete('report_problems/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@delete']);
    $router->get('report_problem/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@show']);
    $router->get('report_problems/count', ['as' => 'reports', 'uses' => $path . '\ReportController@count']);
});


//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Reports";
    $router->get('report_problems', ['as' => 'reports', 'uses' => $path . '\ReportController@index']);
    $router->get('report_problems/search', ['as' => 'reports', 'uses' => $path . '\ReportController@index']);
    $router->post('report_problems', ['as' => 'reports', 'uses' => $path . '\ReportController@store']);
    $router->put('report_problems/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@update']);
    $router->delete('report_problems/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@delete']);
    $router->get('report_problem/{id}', ['as' => 'reports', 'uses' => $path . '\ReportController@show']);
    $router->get('report_problems/count', ['as' => 'reports', 'uses' => $path . '\ReportController@count']);
});
