<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// brands api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "TwoFactor";
    $router->post('twofactor', ['as' => 'twofactor', 'uses' => $path . '\TwoFactorController@store']);
    $router->post('resend-two-factor', ['as' => 'twofactor', 'uses' => $path . '\TwoFactorController@resend']);
  
});

//**** Subcodevs v3 api ******/

// brands api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\TwoFactor";
    $router->post('twofactor', ['as' => 'twofactor', 'uses' => $path . '\TwoFactorController@store']);
    $router->post('resend-two-factor', ['as' => 'twofactor', 'uses' => $path . '\TwoFactorController@resend']);
  
});



//**** Subcodevs v4 api ******/

// brands api
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\TwoFactor";
    $router->post('twofactor', ['as' => 'twofactor', 'uses' => $path . '\TwoFactorController@store']);
    $router->post('resend-two-factor', ['as' => 'twofactor', 'uses' => $path . '\TwoFactorController@resend']);
  
});