<?php

namespace App\Models\AppointmentManagement;

use Illuminate\Database\Eloquent\Model;
use App\Models\Customers\Customer;
use App\Models\Customers\Appointment;


class AppointmentCancelled extends Model
{
    

    protected $table = 'appointment_cancelled';

    protected $fillable = [
        'id','appointment_id','customer_id', 'cancel_at', 'cancel_reason'
    ];


    public function customer() {  
        return $this->belongsTo(Customer::class, 'customer_id');
    }

    public function appointment() {  
        return $this->belongsTo(Appointment::class, 'appointment_id');
    }




    
   
}


