<?php

namespace App\Models\Auth;

use Illuminate\Database\Eloquent\Model;

class Otp extends Model
{
    protected $table = 'otp';
    public $timestamps = false;
    
    protected $fillable = [
       'user_id' ,'provider_id', 'phone_email', 'otp', 'tries', 'expire_at'
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'otp',
    ];

    

}
