<?php

namespace App\Models\Contractors;

use Illuminate\Database\Eloquent\Model;

class ReviewAndRating extends Model
{
    protected $table = 'user_review';
    
    protected $fillable = [
        
        'user_id', 'contractor_id', 'rating', 'review'
    ];

    public function contractor() {
        
        return $this->belongsTo(Contractor::class, 'contractor_id');
    }

    public function user(){
        
    	return $this->belongsTo(Contractor::class, 'user_id');
    }
}
