<?php

namespace App\Models\EmailTemplate;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;

class EmailTemplate extends Model implements TranslatableContract
{
    use Translatable;

    public $translatedAttributes = ['title','text'];

    protected $fillable = [ 
       'name','status','user_type'
    ];

    /*protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];*/

    /*public function getNameAttribute($value) 
     {    
       $currentTimeZone = 'Asia/Kolkata';
       $timezone = !empty($currentTimeZone) ? $currentTimeZone:config('app.timezone');
       return Carbon::parse($value)->timezone($timezone);
     }*/


}
