<?php

namespace App\Models\Faq;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;

class Faq extends Model implements TranslatableContract
{
    use Translatable;

    public $translatedAttributes = ['question','answer'];

    protected $fillable = [ 
       'user_type',
       'status'
    ];

}
