<?php

namespace App\Models\MembershipPlan;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;

class Plan extends Model implements TranslatableContract
{
    use Translatable;

    public $translatedAttributes = ['title','description'];

    protected $fillable = [ 
       'price',
       'type',
       'expiry_days',
       'no_of_session',
    ];

   // public function getCreatedAtAttribute ($created_at) 
   // { 
   //    // return convertTimeUtcToLocal($created_at);
   //    //   $timezone = !empty(request()->admin_time_zone) ? request()->admin_time_zone : "America/New_York";
   //    //   $dateTime = Carbon::parse($value)->timezone($timezone);
   //    //   return date('m/d/Y h:i A',strtotime($dateTime));
      
   //    return $created_at;
   // }

   // public function getDescriptionAttribute ($description) 
   // { 
   //    $description = explode("\r\n", $description);
   //    $description=json_encode($description);
   //    return $description;
   // }

   // public function setCreatedAtAttribute () 
   // { 
   //    // $this->attributes['created_at']=convertcurrenttimetoUtc(date('Y-m-d H:i:s'));
      
   //    $this->attributes['created_at']=date('Y-m-d H:i:s');
   //    //   $timezone = !empty(request()->admin_time_zone) ? request()->admin_time_zone : "America/New_York";
   //    //   $dateTime = Carbon::parse($value)->timezone($timezone);
   //    //   return date('m/d/Y h:i A',strtotime($dateTime));
   // }
   
   // public function setUpdatedAtAttribute () 
   // { 
   //    // $this->attributes['updated_at']=convertcurrenttimetoUtc(date('Y-m-d H:i:s'));
   //    $this->attributes['updated_at']=date('Y-m-d H:i:s');
   // }     

}
