<?php

namespace App\Models\Providers;

use Illuminate\Database\Eloquent\Model;

class ProviderStripeData extends Model
{
    protected $table = 'provider_stripe_data';

    protected $fillable = [
        'provider_id', 
        'account_id',
        'business_profile_name', 
        'card_payments',
        'transfers',
        'default_currency',
        'email',
        'charges_enabled',
        'json_data',
        'type',
    ];

}
