<?php

namespace App\Models\Providers;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;



class Specialization extends Model implements TranslatableContract
{
    use Translatable;

    protected $table = 'specializations';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */

    public $translatedAttributes = ['title'];
    
    protected $fillable = [
        
    ];

   
}
