<?php

namespace App\Models\Reports;

use Illuminate\Database\Eloquent\Model;

class Report extends Model
{
    protected $fillable = [ 
       'node_id',
       'user_id',
       'type',
       'reason'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function flagged_by(){        
    	return $this->belongsTo('App\Models\Customers\Customer', 'user_id')->select('id','first_name','last_name','email','phone_code','phone');
    }

}
